*****
* Language     : Clipper 5.0 VF
* Date         : 1994
* Function     : ExtMem()                 - FREEWARE - 
* Author       : Philippe Bonnardel
* Compil       : /L/W
* Link         : INP.obj, OUTP.obj (author Ted Means - Nanfor.lib)
* Theme        : Return the size (K) of extended memory installed
* Informations : Please send me a message if you like this function or
*              : if you need other tools (freewares with source code) :
*              :      - Determine the manufacturer of your PC 
*              :        (IBM and clones, COMPAQ, OLIVETTI)
*              :      - Determine the Bios' date (for IBM and clones only)
*              :      - Determine the type of the floppy drives
*              :        (3.5-720K, 3.5-1.44M, 5.25-360K, 5.25-1.2,...)
*              :      - ...
*              : My Compuserve User ID : 100604,1637
*****

#define PORT_70h    112 
#define PORT_71h    113
#define X_17h        23
#define X_18h        24

FUNCTION EXTMEM()
LOCAL nVal
FT_OUTP(PORT_70h, X_17h)           // To get information from CMOS
nVal := FT_INP(PORT_71h)
FT_OUTP(PORT_70h, X_18h)
nVal += FT_INP(PORT_71h) * 256
RETURN(nVal)
